Bug 104253 - pxeboot doesn't resolve hostname
Summary: pxeboot doesn't resolve hostname
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-11 19:39 UTC by Tammy Fox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-12 17:05:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tammy Fox 2003-09-11 19:39:23 UTC
If I try to use the hostname of the host to add:

[root@falcon tfox]# pxeboot -a -e eth0 -O rhel-3-as -r 10000 ijin.devel.redhat.com
invalid literal for int(): ijin

But, if I use the IP address for that same machine, it works:

[root@falcon tfox]# pxeboot -a -e eth0 -O rhel-3-as -r 10000 172.16.56.53
default rhel-3-as
 
label rhel-3-as
    kernel rhel-3-as/vmlinuz
    append initrd=rhel-3-as/initrd.img  ramdisk_size=10000

If you don't want to allow hostnames, it should at least give a better error
messages.

Comment 1 Daniel Walsh 2003-09-12 17:05:19 UTC
fixed in redhat-config-netboot-0.1.1-16


Note You need to log in before you can comment on or make changes to this bug.